import { Extension } from '@codemirror/state';
import { HighlightStyle } from '@codemirror/language';

/**
The editor theme styles for One Dark.
*/
declare const gruvboxDarkTheme: Extension;
/**
The highlighting style for code in the One Dark theme.
*/
declare const gruvboxDarkHighlightStyle: HighlightStyle;
/**
Extension to enable the One Dark theme (both the editor theme and
the highlight style).
*/
declare const gruvbox: Extension;

export { gruvbox, gruvboxDarkHighlightStyle, gruvboxDarkTheme };
